# Generated by Django 4.2.4 on 2023-09-08 16:41

import datetime
from django.db import migrations, models


class Migration(migrations.Migration):

    replaces = [('dashboard', '0008_cronschedule_alter_project_start_date'), ('dashboard', '0009_remove_cronschedule_name_alter_cronschedule_command_and_more')]

    dependencies = [
        ('dashboard', '0001_initial_squashed_0007_alter_project_start_date'),
    ]

    operations = [
        migrations.AlterField(
            model_name='project',
            name='start_date',
            field=models.DateField(default=datetime.date(2023, 9, 7)),
        ),
        migrations.CreateModel(
            name='CronSchedule',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('schedule', models.CharField(blank=True, max_length=50, null=True)),
                ('command', models.CharField(blank=True, help_text="One command should be 'cron_hello' and the other should be 'send_productivity_to_user'.", max_length=100, null=True)),
                ('status', models.CharField(choices=[('AC', 'Active'), ('IC', 'Inactive')], default='IC', max_length=20)),
            ],
        ),
        migrations.AlterField(
            model_name='project',
            name='start_date',
            field=models.DateField(default=datetime.date(2023, 9, 8)),
        ),
    ]
